import time
from machine import Pin, I2C
from ssd1306 import SSD1306_I2C

#----------------wifi--------------------------

import network
from esp import espnow

i2c = I2C(scl=Pin(22),sda=Pin(21),freq=100000)

# A WLAN interface must be active to send()/recv()
w0 = network.WLAN(network.STA_IF)
w0.active(True)


e = espnow
e.init()
peer = b'\x24\x6F\x28\x25\x86\xDC'   # MAC address of peer's wifi interface
e.add_peer(peer)


def rx(result):
    mac, msg = result
    byt = str(ord(msg))
    i2c.writeto(0x50,byt)
    print("recv: %s - %s" % (mac,msg))

class char_test:
    char = "twye"    

while True:
    msg = e.on_recv(rx)     # Available on ESP32 and ESP8266
    if msg:             # msg == None if timeout in irecv()
        #i2c.writeto(0x50,msg)
        print(msg)
        #print("me")
        #byt = str(msg)
        #i2c.writeto(0x50,byt)
        if msg[1] == b'end':
            break